package com.ruoyi.learn.mapper;

import java.util.List;
import com.ruoyi.learn.domain.LearnPaperQuestion;
import org.apache.ibatis.annotations.Param;

/**
 * 试卷题关系Mapper接口
 * 
 * @author ruoyi
 * @date 2025-09-18
 */
public interface LearnPaperQuestionMapper 
{
    /**
     * 查询试卷题关系
     * 
     * @param id 试卷题关系主键
     * @return 试卷题关系
     */
    public LearnPaperQuestion selectLearnPaperQuestionById(Long id);

    /**
     * 查询试卷题关系列表
     * 
     * @param learnPaperQuestion 试卷题关系
     * @return 试卷题关系集合
     */
    public List<LearnPaperQuestion> selectLearnPaperQuestionList(LearnPaperQuestion learnPaperQuestion);

    /**
     * 新增试卷题关系
     * 
     * @param learnPaperQuestion 试卷题关系
     * @return 结果
     */
    public int insertLearnPaperQuestion(LearnPaperQuestion learnPaperQuestion);

    /**
     * 修改试卷题关系
     * 
     * @param learnPaperQuestion 试卷题关系
     * @return 结果
     */
    public int updateLearnPaperQuestion(LearnPaperQuestion learnPaperQuestion);

    /**
     * 删除试卷题关系
     * 
     * @param id 试卷题关系主键
     * @return 结果
     */
    public int deleteLearnPaperQuestionById(Long id);

    /**
     * 批量删除试卷题关系
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLearnPaperQuestionByIds(Long[] ids);

    public void batchInsert(@Param("list")List<LearnPaperQuestion> list);
}
